unit uIDataModuleClientes;

interface

uses
  uBizContactos, uIDataModuleContactos, uBizGruposCliente, uBizProcedenciasCliente,
  uBizContactosDatosBancarios, uBizContactosDirecciones;

type
  IDataModuleClientes = interface(IDataModuleContactos)
    ['{A7442A11-01F6-4F1A-B6B0-D3B9CCBC5392}']
    function _GetItems (IDCategoria : Integer): IBizContacto;
    function _GetDatosBancarios : IBizContactosDatosBancarios;

    function GetItem(const ID : Integer) : IBizCliente;
    function NewItem : IBizCliente;
    function GetItems : IBizCliente;
    function GetItemsTiendaWeb : IBizCliente;
    function GetGruposCliente : IBizGrupoCliente;
    function GetProcedenciasCliente : IBizProcedenciaCliente;
    function GetContactosDirecciones: IBizContactosDirecciones;
  end;


implementation

end.
